/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_log_plain_format_hpp_included
#define cool_log_plain_format_hpp_included

/**
 * \file plain_format.hpp
 * \author Sven Suursoho
 *
 * \brief Class(es): cool::log_plain_format
 *
 * In module \ref cool_log.
 */

#include <cool/cool.hpp>


namespace cool {
/** \addtogroup cool_log */
/** \{ */


/**
 * \brief
 */
class COOL_API log_plain_format
{
  public:

      const char *operator() (const log::event_type &ev) {
          return ev.message;
      }


  private:
};


/** \} */
}   // namespace cool


#endif  /* cool_log_plain_format_hpp_included */
