/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_net_bits_server_socket_hpp_included
#define cool_net_bits_server_socket_hpp_included


namespace cool {
namespace bits {
namespace net {


socket_base::socket_type accept (socket_base::socket_type, socket::address *a);


inline void
listen (socket_base::socket_type s, int backlog)
{
  if (::listen(s, backlog) == -1)
      throw_last("listen", COOL_LOCUS);
}


}   // namespace net
}   // namespace bits
}   // namespace cool


#endif  /* cool_net_bits_server_socket_hpp_included */
