/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_net_localbuf_hpp_included
#define cool_net_localbuf_hpp_included

/**
 * \file localbuf.hpp
 * \author Sven Suursoho
 *
 * \brief Class(es): cool::localbuf
 *
 * In module \ref cool_netstream.
 */

#include <cool/cool.hpp>
#include <cool/net/local_socket.hpp>
#include <cool/net/socketbuf.hpp>


namespace cool {
/** \addtogroup cool_netstream */
/** \{ */


/** \brief INET socket buffer */
typedef socketbuf<local> localbuf;


/** \} */
}   // namespace cool


#endif  /* cool_net_localbuf_hpp_included */
