/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_util_hpp_included
#define cool_util_hpp_included

/**
 * \defgroup cool_util Utility functions and classes
 * \ingroup cool
 * \{
 * Convenience functions that doesn't fit to other modules.
 *
 * Header(s):
 *  - \ref convert.hpp
 *  - \ref less_str.hpp
 *  - \ref noncopyable.hpp
 * \}
 */

#include <cool/util/convert.hpp>
#include <cool/util/less_str.hpp>
#include <cool/util/noncopyable.hpp>


#endif  /* cool_util_hpp_included */
