dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check for standard boolean type. If doesn't exist, do typedef
dnl Updated: autoconf now has appropriate check
AC_DEFUN([SS_BOOL_TYPE],
[
    AC_REQUIRE([AC_HEADER_STDBOOL])
    AH_BOTTOM([/* Hassle with bool type */
#if defined(HAVE_STDBOOL_H)
#  include <stdbool.h>
#else
#  if !defined(HAVE__BOOL)
#    if defined(__cplusplus)
typedef bool _Bool;
#    else
typedef unsigned char _Bool;
#    endif
#  endif
#  define bool _Bool
#  define false 0
#  define true 1
#  define __bool_true_false_are_defined 1
#endif])
])
