dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check whether include C++ header as <header> or <header.h>
AC_DEFUN([SS_CXX_HEADER],
[
    AC_REQUIRE([SS_CXX_PROGRAMMING])
    AC_LANG_SAVE
    AC_LANG(C++)

    AC_CHECK_HEADER([$1],
        [ss_cv_cxx_header_$1=$1],
        [
            AC_CHECK_HEADER([$1.h],
                [ss_cv_cxx_header_$1=$1.h],
                [ss_cv_cxx_header_$1=not_found]
            )
        ]
    )
    if test "$ss_cv_cxx_header_$1" = "$1"; then
        AC_DEFINE($1_header, [<$1>], [include $1 as $1])
    elif test "$ss_cv_cxx_header_$1" = "$1.h"; then
        AC_DEFINE($1_header, [<$1.h>], [include $1 as $1.h])
    fi

    AC_LANG_RESTORE
])
