dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check wheter C++ namespace are supported
AC_DEFUN([SS_CXX_NAMESPACE],
[
    AC_REQUIRE([SS_CXX_PROGRAMMING])
    AC_LANG_SAVE
    AC_LANG(C++)

    AC_CACHE_CHECK([whether ${CXX} support namespaces],
        ss_cv_cxx_namespace,
        [
            AC_TRY_COMPILE([namespace test { };], [return 0],
                ss_cv_cxx_namespace=yes,
                ss_cv_cxx_namespace=no
            )
        ]
    )
    if test "$ss_cv_cxx_namespace" = "yes"; then
        AC_DEFINE(HAVE_NAMESPACE, 1, [Compiler has namespaces implemented])
    fi

    AC_LANG_RESTORE
])
