dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check if debugging info is enabled from command-line
AC_DEFUN([SS_DEBUG],
[
    AC_MSG_CHECKING([for debugging])
    AC_ARG_ENABLE(debug,
        [AC_HELP_STRING(--enable-debug, [Enable debugging info])], [
            AC_MSG_RESULT(yes)
            if test $GCC = yes; then
                CXXFLAGS="${CXXFLAGS} -ggdb"
            else
                CXXFLAGS="${CXXFLAGS} -g"
            fi
        ],
        [
            AC_MSG_RESULT(no)
            CXXFLAGS="${CXXFLAGS} -DNDEBUG"
        ]
    )
])
