dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check that we have proper compilers and environment for compilation
AC_DEFUN([SS_HEADER_STDC],
[
    AC_REQUIRE([AC_HEADER_STDC])
    AC_CHECK_FUNCS(strchr memcpy)
    AH_BOTTOM([/* Hassle with ANSI C header files */
#if STDC_HEADERS
#  include <stdlib.h>
#  include <string.h>
#else
#  if defined(HAVE_STDLIB_H)
#    include <stdlib.h>
#  endif
#  if defined(HAVE_STRING_H)
#    include <string.h>
#  endif
#  if !defined(HAVE_STRCHR)
#    define strchr index
#    define strrchr rindex
#  endif
char *strchr(), *strrchr();
#  if !defined(HAVE_MEMCPY)
#    define memcpy(d,s,n) bcopy((s), (d), (n))
#    define memmove(d,s,n) bcopy((s), (d), (n))
#  endif
#endif])
])
