dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check for standard integer types. If doesnt' exist, do typedef
AC_DEFUN([SS_INT_TYPES],
[
    AC_CHECK_HEADERS([inttypes.h])
    AH_BOTTOM([/* Hassle with standard integer types */
#if defined(HAVE_STDINT_H)
#  include <stdint.h>
#elif defined(HAVE_INTTYPES_H)
#  include <inttypes.h>
#else
typedef signed char int8_t;
typedef unsigned char uint8_t;
typedef signed short int16_t;
typedef unsigned short uint16_t;
typedef signed int int32_t;
typedef unsigned int uint32_t;
#endif])
])
