/**
 * \file db/serial.hpp
 * \brief PostgreSQL sequence stuff
 */

#ifndef db_serial_hpp_included
#define db_serial_hpp_included


#include <db/plproxy.hpp>
#include <string>


namespace db
{


/** \brief Class representing PostgreSQL type */
class serial
{
  public:

      static int64_t next (const std::string &q);
};


}   // namespace db


#endif  // db_serial_hpp_included
