-- create plpgsql language handler
create or replace
function plpgsql_call_handler ()
    returns language_handler
    as 'plpgsql'
    language c;

create language plpgsql handler plpgsql_call_handler;


-- create assertion function
create or replace
function assert (cond boolean)
    returns boolean
    language plpgsql
as $$
begin
    if cond is null then
        raise exception 'condition null';
    elsif not cond then
        raise exception 'assertion failed';
    end if;

    return true;
end;
$$;
