#include <pgclient/result.hpp>
#include <pgclient/connection.hpp>


namespace pgclient {


result &
result::operator = (const result &r)
{
  // set fields
  db_ = r.db_;
  result_ = r.result_;

  // set ownership
  result &r_ = const_cast<result &>(r);
  if (r_.db_) {
      if (r_.db_->last_result_ == &r)
          r_.db_->last_result_ = this;
      r_.db_ = 0;
  }

  return *this;
}


}   // namespace pgclient
