CREATE OR REPLACE FUNCTION "public"."assert" (i_is_ok boolean, i_error_descr text) RETURNS boolean AS
$body$
-- convenience function
-- if first parameter is false then we must raise exception given in second argument
-- it's used to make code shorter
-- perform assert(not found, '401 Cluster with given name not found' || i_cluster name);
BEGIN	
    if not i_is_ok then 
        raise exception '%', i_error_descr;
    end if;
    return i_is_ok;
END;
$body$
LANGUAGE 'plpgsql' VOLATILE CALLED ON NULL INPUT SECURITY DEFINER;