-- Create ContactDB cluster with 16 partitions
select * from plproxy.create_cluster('contactdb','Central buddylist',2);
-- Marc created version as active
select * from plproxy.set_active_conf('contactdb','contactdb_V1');
-- Set partiton connect strings
select * from plproxy.change_partition('contactdb_p000', 'dbname=contactdb_dev_p000','user_contact_p000');  
select * from plproxy.change_partition('contactdb_p001', 'dbname=contactdb_dev_p001','user_contact_p001');  
-- Create proxy connections 
select * from plproxy.create_proxy('dev3','ContactDB',ARRAY['contactdb'],1,2);  
-- Review connect strings
select * from plproxy.get_proxy_connections('dev3');
-- Review cluster maps
select * from plproxy.get_cluster_maps('contactdb');
