/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_log_hpp_included
#define cool_log_hpp_included

/**
 * \defgroup cool_logger Logging
 * \ingroup cool
 * \{
 * General purpose logging classes
 *
 * Header(s):
 *  - \ref log.hpp
 *  - \ref writer.hpp
 *  - \ref stream_writer.hpp
 *  - \ref fstream_writer.hpp
 *  - \ref syslog_writer.hpp
 *  - \ref plain_format.hpp
 *  - \ref timestamp_format.hpp
 * \}
 */

#include <cool/log/log.hpp>
#include <cool/log/writer.hpp>
#include <cool/log/stream_writer.hpp>
#include <cool/log/fstream_writer.hpp>
#include <cool/log/syslog_writer.hpp>
#include <cool/log/plain_format.hpp>
#include <cool/log/timestamp_format.hpp>


#endif  /* cool_log_hpp_included */
