/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_net_bits_poller_hpp_included
#define cool_net_bits_poller_hpp_included


/* XXX For testing different variants */
//#undef SS_HAVE_EPOLL
//#undef SS_HAVE_POLL
//#undef SS_HAVE_SELECT


#if defined(SS_HAVE_EPOLL)
#  include "poller_epoll.hpp"
#elif defined(SS_HAVE_POLL)
#  include "poller_poll.hpp"
#elif defined(SS_HAVE_SELECT)
#  include "poller_select.hpp"
#else
#  error No socket multiplexor function
#endif  // COOL_HAVE_SELECT


#endif  /* cool_net_bits_poller_hpp_included */
