/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_net_bits_socket_pair_hpp_included
#define cool_net_bits_socket_pair_hpp_included


namespace cool {
namespace bits {
namespace net {


inline void
socket_pair (socket &s1, socket &s2,
        socket::family_type f, socket::style_type s)
{
  socket::socket_type sv[2];
  if (::socketpair(f, s, 0, sv) == -1)
      throw_last("socketpair", COOL_LOCUS);
  s1 = sv[0];
  s2 = sv[1];
}


}   // namespace net
}   // namespace bits
}   // namespace cool


#endif  /* cool_net_bits_socket_pair_hpp_included */
