/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#ifndef cool_net_inetbuf_hpp_included
#define cool_net_inetbuf_hpp_included

/**
 * \file inetbuf.hpp
 * \author Sven Suursoho
 *
 * \brief Class(es): cool::inetbuf
 *
 * In module \ref cool_netstream.
 */

#include <cool/cool.hpp>
#include <cool/net/inet_socket.hpp>
#include <cool/net/socketbuf.hpp>


namespace cool {
/** \addtogroup cool_netstream */
/** \{ */


/** \brief INET socket buffer */
typedef socketbuf<inet> inetbuf;


/** \} */
}   // namespace cool


#endif  /* cool_net_inetbuf_hpp_included */
