dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Set terminal sequences for bold and normal text
dnl From mod_ssl package by Ralf S. Engelschall
AC_DEFUN([SS_SET_TERM_SEQUENCES],
[
    case $TERM in
        xterm*|vt220*|cygwin)
            T_MD=`echo dummy | awk '{printf("%c%c%c%c", 27, 91, 49, 109);}'`
            T_ME=`echo dummy | awk '{printf("%c%c%c", 27, 91, 109);}'`
            ;;

        vt100*)
            T_MD=`echo dummy | awk '{printf("%c%c%c%c%c%c", 27, 91, 49, 109, 0, 0);}'`
            T_ME=`echo dummy | awk '{printf("%c%c%c%c%c", 27, 91, 109, 0, 0);}'`
            ;;

        default)
            T_MD=""
            T_ME=""
    esac
    AC_PROVIDE([$0])
])


dnl Display configure section in bold (if available)
AC_DEFUN([SS_CONFIG_SECTION],
[
    AC_REQUIRE([SS_SET_TERM_SEQUENCES])
    nl='
'
    echo "${nl}${T_MD}$1 ...${T_ME}"
])
