dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check whether streambuf::showmanyc is const member
AC_DEFUN([SS_CXX_TYPE_STREAMSIZE],
[
    AC_LANG_SAVE
    AC_LANG(C++)

    AC_REQUIRE([SS_CXX_NAMESPACE_STD])

    AC_CACHE_CHECK([whether iostream has streamsize type],
        [ss_streamsize_type],
        [
            AC_TRY_COMPILE(
                [#include iostream_header],
                [return sizeof(STD_ streamsize)],
                [ss_streamsize_type=yes],
                [ss_streamsize_type=no]
            )
        ]
    )

    if test $ss_streamsize_type = yes; then
        AC_DEFINE(SS_HAVE_STREAMSIZE, 1, [iostream has streamsize type])
    fi

    AC_LANG_RESTORE
])
