dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check for mutex attribute setting function
AC_DEFUN([SS_THREAD_MUTEX_ATTR_FUNC],
[
    AC_LANG_SAVE
    AC_LANG(C)

    AC_REQUIRE([SS_THREADING])

    AC_CACHE_VAL([ss_cv_mutexattr_settype], [
        AC_CHECK_LIB($ss_cv_lib_thread, pthread_mutexattr_settype,
            [ss_cv_mutexattr_settype=pthread_mutexattr_settype],
            [
                AC_CHECK_LIB($ss_cv_lib_thread, pthread_mutexattr_setkind_np,
                    [ss_cv_mutexattr_settype=pthread_mutexattr_setkind_np],
                    [ss_cv_mutexattr_settype=none]
                )
            ]
        )
    ])
    AC_MSG_CHECKING([mutex attribute function])
    AC_DEFINE_UNQUOTED(SS_MUTEXATTR_SETTYPE, $ss_cv_mutexattr_settype,
        [Function for setting mutex attributes])
    AC_MSG_RESULT([$ss_cv_mutexattr_settype])

    AC_LANG_RESTORE
])
