dnl Copyright (c) 2005, Sven Suursoho
dnl See LICENSE for details


dnl Check for time functions
AC_DEFUN([SS_THREADING],
[
    AC_LANG_SAVE
    AC_LANG(C)

    dnl Check for time header files
    AC_CHECK_HEADERS([pthread.h])

    dnl Threading library
    AC_CHECK_LIB(pthread, pthread_exit, [
        ss_cv_lib_thread=pthread
        LIBS="${LIBS} -lpthread"
    ])
    if test -z "$ss_cv_lib_thread"; then
        AC_CHECK_LIB(c_r, pthread_exit, [
            ss_cv_lib_thread=c_r
            LIBS="${LIBS} -lc_r"
        ])
    fi

    AC_LANG_RESTORE
])
