/* Copyright (c) 2003-2005, Sven Suursoho
 * See LICENSE for details */

#include <cool/net/server_socket.hpp>


namespace cool {
namespace bits {
namespace net {


socket_base::socket_type
accept (socket_base::socket_type s, socket::address *a)
{
  sockaddr *p = 0;
  socket_base::socklen_type len = 0;
  if (a) {
      p = a->addr();
      len = a->size();
  }

  socket_base::socket_type new_s = ::accept(s, p, &len);
  if (new_s == -1)
      throw_last("accept", COOL_LOCUS);

  return new_s;
}


}   // namespace net
}   // namespace bits
}   // namespace cool
