-- Initialize sample cluster with 2 partitions on localhost

BEGIN;
-- configure
select * from plproxy.create_cluster('mycluster','Test cluster', 2);
select * from plproxy.set_active_conf('mycluster','mycluster_V1');
select * from plproxy.alter_partition('mycluster_p000', 'dbname=p1', 'mycluster partition 1');
select * from plproxy.alter_partition('mycluster_p001', 'dbname=p2', 'mycluster partition 2');
select * from plproxy.create_proxy('pgcpoold','pl/proxy test', ARRAY['mycluster'], 1, 200);
select * from plproxy.alter_proxy('pgcpoold', 'log-level','5');
select * from plproxy.alter_proxy('pgcpoold', 'daemon','true');
select * from plproxy.alter_proxy('pgcpoold', 'log-file','pgcpoold.log');
-- review
select * from plproxy.get_proxy_config('pgcpoold');
select * from plproxy.get_proxy_connections('pgcpoold');
END;
