select * from plproxy.create_cluster('eventdb','Skype event database',2) union all
select * from plproxy.create_cluster('contactdb','Central buddylist',16) union all  
select * from plproxy.create_cluster('userdb','Skype users',2);  
--
select * from plproxy.db_cluster;
select * from plproxy.db_cluster_conf;
select * from plproxy.db_conf;
select * from plproxy.db_partition;
select * from plproxy.db_proxy;
select * from plproxy.db_proxy_connection;
--
select * from lookup_db_cluster('eventdb');  
select * from lookup.db_cluster_conf('eventdb_v1','-');  
select * from lookup.db_partition('eventdb_p1');  
select * from lookup.db_proxy('central_p1');  
select * from lookup.db_proxy('central_p1');  
--
select * from plproxy.copy_conf('eventdb','eventdb_V1');
select * from plproxy.split_partitions('eventdb','eventdb_V2', array['eventdb_p3','eventdb_p4']);
select * from plproxy.split_partitions('userdb','userdb_V1', array['userdb_p3']);
select * from plproxy.get_conf_partitions('eventdb_v2');
select * from plproxy.get_cluster_partitions('eventdb');
select * from plproxy.get_cluster_partitions('userdb');
--
select * from plproxy.set_active_conf('eventdb','eventdb_V2');
select * from plproxy.set_active_conf('contactdb','contactdb_V1');
select * from plproxy.set_active_conf('userdb','userdb_V1');
--
select * from plproxy.get_cluster_maps('eventdb');
select * from plproxy.get_cluster_maps('contactdb');
select * from plproxy.get_cluster_maps('userdb');
--
select * from plproxy.deactivate_cluster_conf('eventdb','eventdb_V1');
select * from plproxy.deactivate_cluster_conf('userdb','userdb_V1');
select * from plproxy.deactivate_cluster_conf('contactdb','contactdb_V1');
--
select * from plproxy.delete_cluster_conf('eventdb_v2','-');
select * from plproxy.delete_cluster('eventdb');
select * from plproxy.delete_cluster('userdb');
select * from plproxy.delete_cluster('contactdb');
--
select * from plproxy.create_proxy('contactdb_pproxy','Proxy to be installed in ams_db9',ARRAY['contactdb'],1,400);  
select * from plproxy.set_proxy_status('contactdb_pproxy','LOCKED');  
select * from plproxy.set_proxy_status('contactdb_pproxy','ONLINE');  
select * from plproxy.set_proxy_status('contactdb_pproxy','OFFLINE');  
select * from plproxy.get_proxy_connections('contactdb_pproxy');
select * from plproxy.delete_proxy('contactdb_pproxy');  
select * from plproxy.set_active_conf('eventdb', 'eventdb_v1');  
select * from plproxy.set_master_active_conf('eventdb', 'eventdb_v1');  
-- 
select * from plproxy.change_partition('contactdb_p000', 'dbname=contactdb host=cph_db5 user=proxy', 'user_contact_p000');  
select * from plproxy.change_partition('contactdb_p001', 'dbname=contactdb host=cph_db6 user=proxy', 'user_contact_p001');  
select * from plproxy.change_partition('contactdb_p002', 'dbname=contactdb host=cph_db7 user=proxy', 'user_contact_p002');  
select * from plproxy.change_partition('contactdb_p003', 'dbname=contactdb host=cph_db8 user=proxy', 'user_contact_p003');  
select * from plproxy.change_partition('contactdb_p004', 'dbname=contactdb host=cph_db5 user=proxy', 'user_contact_p004');  
select * from plproxy.change_partition('contactdb_p005', 'dbname=contactdb host=cph_db6 user=proxy', 'user_contact_p005');  
select * from plproxy.change_partition('contactdb_p006', 'dbname=contactdb host=cph_db7 user=proxy', 'user_contact_p006');  
select * from plproxy.change_partition('contactdb_p007', 'dbname=contactdb host=cph_db8 user=proxy', 'user_contact_p007');  
select * from plproxy.change_partition('contactdb_p008', 'dbname=contactdb host=cph_db5 user=proxy', 'user_contact_p008');  
select * from plproxy.change_partition('contactdb_p009', 'dbname=contactdb host=cph_db6 user=proxy', 'user_contact_p009');  
select * from plproxy.change_partition('contactdb_p010', 'dbname=contactdb host=cph_db7 user=proxy', 'user_contact_p010');  
select * from plproxy.change_partition('contactdb_p011', 'dbname=contactdb host=cph_db8 user=proxy', 'user_contact_p011');  
select * from plproxy.change_partition('contactdb_p012', 'dbname=contactdb host=cph_db5 user=proxy', 'user_contact_p012');  
select * from plproxy.change_partition('contactdb_p013', 'dbname=contactdb host=cph_db6 user=proxy', 'user_contact_p013');  
select * from plproxy.change_partition('contactdb_p014', 'dbname=contactdb host=cph_db7 user=proxy', 'user_contact_p014');  
select * from plproxy.change_partition('contactdb_p015', 'dbname=contactdb host=cph_db8 user=proxy', 'user_contact_p015');  
--
select * from plproxy.change_proxy('contactdb_pproxy', 'dbname=proxydb host=ams_db9 user=proxy_admin', null); 
-- 
select generate_series(3,256,3) as partnr;
select hashtext('askoja') & 255;
select 5 = ANY (ARRAY[1,2,3,4]);
select ('now'::text)::timestamp(6) with time zone;
select now();

select array[cluster_name] from plproxy.db_cluster;

select assert(false, '300 viga siga');

 select hash_nr, hash_nr & 15 as partnr, hash_nr & 3 as dbnr, partition_name 
    from plproxy.get_cluster_maps('contactdb') 
    inner join db_partition on id_partition = key_partition;;
