-- Define cluster
select * from plproxy.create_cluster('eventdb','Event database',2);
select * from plproxy.create_cluster('voicemaildb','Voicemails',2);
select * from plproxy.set_active_conf('eventdb','eventdb_v1');
select * from plproxy.set_active_conf('voicemaildb','voicemaildb_v1');
select * from plproxy.alter_partition('eventdb_p000', 'dbname=eventdb_p000 host=192.168.114.171 user=event_proxy', 'event_p000');
select * from plproxy.alter_partition('eventdb_p001', 'dbname=eventdb_p001 host=192.168.114.172 user=event_proxy', 'event_p001');
select * from plproxy.alter_partition('voicemaildb_p000', 'dbname=voicemaildb_p000 host=192.168.114.170 user=event_proxy', 'voice_p000');
select * from plproxy.alter_partition('voicemaildb_p001', 'dbname=voicemaildb_p001 host=192.168.114.173 user=event_proxy', 'voice_p001');

-- Review hash - partition - dbnumber mapping
select hash_nr, hash_nr & 1 as partnr, partition_name, connect_string
    from plproxy.get_cluster_maps('eventdb')
    inner join plproxy.db_partition on id_partition = key_partition;
